## ros-indigo-humanoid-nav-msgs 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(humanoid_nav_msgs)

#List to make rest of code more readable
set( MESSAGE_DEPENDENCIES std_msgs geometry_msgs actionlib_msgs)

#Declare build dependencies
find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    ${MESSAGE_DEPENDENCIES} )

#Add message files
add_message_files(DIRECTORY msg FILES StepTarget.msg)

#Add service files
add_service_files(DIRECTORY srv
    FILES
    ClipFootstep.srv
    PlanFootsteps.srv
    PlanFootstepsBetweenFeet.srv
    StepTargetService.srv )

#Add action files
add_action_files(DIRECTORY action
    FILES
    ExecFootsteps.action)

#And now generate the messages
generate_messages(DEPENDENCIES ${MESSAGE_DEPENDENCIES})

# Generate catkin/pkg-config import information
catkin_package( CATKIN_DEPENDS message_runtime ${MESSAGE_DEPENDENCIES} )

=== debian/changelog ===
ros-indigo-humanoid-nav-msgs (0.3.0-1trusty) trusty; urgency=high

  * Add service to (re)plan between feet as start and goal.
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Wed, 15 Jan 2014 23:00:00 -0000

ros-indigo-humanoid-nav-msgs (0.2.0-1trusty) trusty; urgency=high

  * Initial catkinization

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Thu, 24 Oct 2013 22:00:00 -0000

ros-indigo-humanoid-nav-msgs (0.1.2-1trusty) trusty; urgency=high

  * spelling mistake corrected
  * added more details to PlanFootsteps srv result
  * action ExecFootsteps can now feedback changeable_footsteps and robot_pose (see naoqi docu for further info)
  * integrated a new action to communicate with the action server provided by nao_footsteps.py in the nao_driver package
  * service to clip footsteps
  * moved humanoid_nav_msgs into new humanoid_msgs stack

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Wed, 09 Jan 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-humanoid-nav-msgs
Section: misc
Priority: extra
Maintainer: Armin Hornung <HornungA@informatik.uni-freiburg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/humanoid_nav_msgs
Standards-Version: 3.9.2

Package: ros-indigo-humanoid-nav-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: Messages and services for humanoid robot navigation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-humanoid-nav-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
